Bert Glenn

About me

Developer Information
Name Bert Glenn
Email address
User since April 1, 2008
Number of add-ons developed 0 add-ons
Average rating of developer's add-ons Not yet rated

My Reviews

Tab Utilities

Mozilla should require this add-on Rated 5 out of 5 stars

Like prysmcat I find this add-on a requirement to going to a new version of Firefox. (In fact, if by mistake I upgrade while Tab Utilities doesn't work, I'll uninstall and downgrade til it does work.) IMHO, Mozilla should either A) Include this add-on as part of Firefox (and provide the author an appropriate donation) or B) insure Tab Utilities (and other important add-ons) are working before pushing a new upgrade out to everyone. I know neither of these are reasonable given the current climate, but its the way it rolls, anyway, for many of us. This add-on is an essential part of using Firefox, period.

This review is for a previous version of the add-on (1.5). 

FFXI Finder

Rated 5 out of 5 stars

Another great Final Fantasy XI add-on for Firefox, which doesn't work with Firefox 7. Don't upgrade till you have to should you be lucky enough to be using this one.

The Firefox powers that be should give us a way to run old add-ons in a compatibility mode (or something).

FFXI Helper

Rated 5 out of 5 stars

Outstanding add-on! Unfortunately Firefox 7 won't let me add it. I held off upgrading to Windows 7 and Firefox 7 as long as possible, but finally bit the bullet. This is one reason NOT to upgrade your Firefox till you have to do so (in my case it was because of a BSOD that killed my system).

This review is for a previous version of the add-on (2.0.1). 

KeyScrambler Personal

Rated 1 out of 5 stars

It does not support the 64-bit operating systems. I discovered this on Windows XP Profession x64. At a minimum the short and long descriptions should note this fact. BEST: The Add to Firefox button should say (Windows 32-bit only).

This review is for a previous version of the add-on (2.0.0.1).